cadenya objectives list-tools objective_123{
"items": [
{
"metadata": {
"id": "<string>",
"name": "<string>"
},
"snapshot": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>",
"requiresApproval": true,
"parameters": {},
"config": {
"type": "http",
"http": {
"requestMethod": "HTTP_METHOD_UNSPECIFIED",
"path": "<string>",
"query": "<string>",
"headers": {},
"requestBodyTemplate": "<string>",
"requestBodyContentType": "<string>"
}
},
"llmToolName": "<string>"
},
"state": "STATE_UNSPECIFIED",
"info": {
"signature": "<string>",
"toolSet": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"overlays": [
"<string>"
],
"effectiveParameters": {}
}
}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"domain": "api.cadenya.com",
"reason": "TOKEN_EXPIRED",
"metadata": {}
}
]
}Objectives
List objective tools
Lists all tools that were assigned to an objective
GET
/
v1
/
workspaces
/
{workspaceId}
/
objectives
/
{objectiveId}
/
tools
cadenya objectives list-tools objective_123{
"items": [
{
"metadata": {
"id": "<string>",
"name": "<string>"
},
"snapshot": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>",
"requiresApproval": true,
"parameters": {},
"config": {
"type": "http",
"http": {
"requestMethod": "HTTP_METHOD_UNSPECIFIED",
"path": "<string>",
"query": "<string>",
"headers": {},
"requestBodyTemplate": "<string>",
"requestBodyContentType": "<string>"
}
},
"llmToolName": "<string>"
},
"state": "STATE_UNSPECIFIED",
"info": {
"signature": "<string>",
"toolSet": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"overlays": [
"<string>"
],
"effectiveParameters": {}
}
}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"domain": "api.cadenya.com",
"reason": "TOKEN_EXPIRED",
"metadata": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
The ID of the objective. Supports "external_id:" prefix for external IDs.
Example:
"obj_01HXKD2E5NQM3T9AYWCFQAZGFV"
Query Parameters
Maximum number of results to return
Pagination cursor from previous response